/**
 *  性能查询服务
 */
import HelperUtil from '../../utils/HelperUtil'
import PerformanceDataDeleteAPI from "../../api/restApis/PerformanceDataDeleteAPI";
// 静态方法
let staticMethods = {
  // 性能数据按条件查询：总条数
  deletePerformData: function (selectList) {
    return PerformanceDataDeleteAPI.deletePerformanceDatas(selectList).then(result => {
      if (result.data.result) {
        // return result.data.returnValue;
      } else {
        return HelperUtil.returnPromiseRejectObj(result);
      }
    })
  }
}

function PerformanceDataDeleteService (websocketService = null) {

  return Object.freeze(Object.assign(
    {
      // object methods comes here
    },
    staticMethods
  ))
}
// inject static methods
Object.assign(PerformanceDataDeleteService, staticMethods);
export default PerformanceDataDeleteService
